> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Conversation Hooks

> Get hooks currently configured in the workspace for this conversation.

This endpoint loads hooks from the conversation's project directory in the
workspace (i.e. `{project_dir}/.openhands/hooks.json`) at request time.

Note:
    This is intentionally a "live" view of the workspace configuration.
    If `.openhands/hooks.json` changes over time, this endpoint reflects the
    latest file content and may not match the hooks that were used when the
    conversation originally started.

Returns:
    JSONResponse: A JSON response containing the list of hook event types.
    Returns an empty list if the sandbox is not running.



## OpenAPI

````yaml /openapi/openhands-cloud.json get /api/v1/app-conversations/{conversation_id}/hooks
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/app-conversations/{conversation_id}/hooks:
    get:
      tags:
        - Conversations
      summary: Get Conversation Hooks
      description: >-
        Get hooks currently configured in the workspace for this conversation.


        This endpoint loads hooks from the conversation's project directory in
        the

        workspace (i.e. `{project_dir}/.openhands/hooks.json`) at request time.


        Note:
            This is intentionally a "live" view of the workspace configuration.
            If `.openhands/hooks.json` changes over time, this endpoint reflects the
            latest file content and may not match the hooks that were used when the
            conversation originally started.

        Returns:
            JSONResponse: A JSON response containing the list of hook event types.
            Returns an empty list if the sandbox is not running.
      operationId: >-
        get_conversation_hooks_api_v1_app_conversations__conversation_id__hooks_get
      parameters:
        - name: conversation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Conversation Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````